Bug 21854 - Added New Locale en_SC
Summary: Added New Locale en_SC
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.25
: P2 normal
Target Milestone: 2.27
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-28 05:36 UTC by Akhilesh Kumar
Modified: 2017-08-09 09:39 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2017-08-03 00:00:00
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Akhilesh Kumar 2017-07-28 05:36:35 UTC
Added new locale for Seychelles which is a member of the African Union and Official languages is English
Comment 1 Akhilesh Kumar 2017-07-28 05:47:26 UTC
Please Find New Locale patch for en_SC
https://sourceware.org/ml/libc-alpha/2017-07/msg00954.html
Comment 2 cvs-commit@gcc.gnu.org 2017-08-09 09:33:01 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  756d1699896e62445196c3137a982a990a8e8847 (commit)
       via  39b20aae21e4635296f4ebc4d80f4eb6c1cb4cbe (commit)
       via  e119dfcfd674b37b6c2b6a3414fe055ba675975a (commit)
      from  139237a4f9f8bc5aaa3856e0df6f0a1a507d708f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=756d1699896e62445196c3137a982a990a8e8847

commit 756d1699896e62445196c3137a982a990a8e8847
Author: Akhilesh Kumar <akhilesh.k@samsung.com>
Date:   Tue Aug 8 11:21:38 2017 +0530

    Fix p_cs_precedes, n_cs_precedes, and n_sign_posn for mt_MT
    
    Positive Currency Format: €500.00
    Negative Currency Format: -€500.00
    References:
    http://www.kunsilltalmalti.gov.mt/filebank/documents/rapportdwarlismijiettalmunitaewropea.pdf, page 7, top right.
    CLDR has “¤#,##0.00” as the currency format pattern.
    
    	[BZ #21920]
    	* locales/mt_MT (LC_MONETARY): Fix p_cs_precedes/n_cs_precedes.
    	* locales/mt_MT (LC_MONETARY): Fix n_sign_posn.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=39b20aae21e4635296f4ebc4d80f4eb6c1cb4cbe

commit 39b20aae21e4635296f4ebc4d80f4eb6c1cb4cbe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 7 17:19:07 2017 +0200

    Remove “% Charset: ...” comments from locale sources
    
    These comments are useless and only confusing.  The encodings used to
    create binary locales from source locales are listed in the
    localedata/SUPPORTED file.  The source files itself are ASCII or UTF-8
    encoded where non-ASCII UTF-8 is currently only used in comments. If
    all locale source files are UTF-8 anyway, there is no need to specify
    that in a special comment.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e119dfcfd674b37b6c2b6a3414fe055ba675975a

commit e119dfcfd674b37b6c2b6a3414fe055ba675975a
Author: Akhilesh Kumar <akhilesh.k@samsung.com>
Date:   Fri Jul 28 11:05:54 2017 +0530

    Added new locale en_SC
    
    New locale is added for the Seychelles which is a member of the African
    Union. English is an offical language for the Seychelles.
    
    	[BZ #21854]
    	* locales/en_SC: New file.
    	* localedata/SUPPORTED : Add en_SC/UTF-8.

-----------------------------------------------------------------------

Summary of changes:
 localedata/ChangeLog                 |  243 ++++++++++++++++++++++++++++++++++
 localedata/SUPPORTED                 |    1 +
 localedata/locales/POSIX             |    1 -
 localedata/locales/aa_DJ             |    2 -
 localedata/locales/aa_ER             |    2 -
 localedata/locales/aa_ER@saaho       |    2 -
 localedata/locales/aa_ET             |    2 -
 localedata/locales/af_ZA             |    2 -
 localedata/locales/agr_PE            |    2 -
 localedata/locales/ak_GH             |    2 -
 localedata/locales/am_ET             |    2 -
 localedata/locales/an_ES             |    1 -
 localedata/locales/ar_SA             |    1 -
 localedata/locales/ayc_PE            |    2 -
 localedata/locales/az_AZ             |    1 -
 localedata/locales/az_IR             |    1 -
 localedata/locales/be_BY             |    1 -
 localedata/locales/be_BY@latin       |    1 -
 localedata/locales/bem_ZM            |    1 -
 localedata/locales/ber_DZ            |    1 -
 localedata/locales/ber_MA            |    1 -
 localedata/locales/br_FR             |    1 -
 localedata/locales/br_FR@euro        |    1 -
 localedata/locales/bs_BA             |    1 -
 localedata/locales/byn_ER            |    2 -
 localedata/locales/ca_AD             |    1 -
 localedata/locales/ca_ES             |    1 -
 localedata/locales/ca_ES@euro        |    1 -
 localedata/locales/ca_FR             |    1 -
 localedata/locales/ca_IT             |    1 -
 localedata/locales/ce_RU             |    1 -
 localedata/locales/cmn_TW            |    2 -
 localedata/locales/crh_UA            |    1 -
 localedata/locales/cs_CZ             |    1 -
 localedata/locales/csb_PL            |    1 -
 localedata/locales/cv_RU             |    1 -
 localedata/locales/cy_GB             |    2 -
 localedata/locales/da_DK             |    1 -
 localedata/locales/de_AT             |    1 -
 localedata/locales/de_AT@euro        |    1 -
 localedata/locales/de_BE             |    1 -
 localedata/locales/de_BE@euro        |    1 -
 localedata/locales/de_LU             |    1 -
 localedata/locales/de_LU@euro        |    1 -
 localedata/locales/dv_MV             |    1 -
 localedata/locales/dz_BT             |    1 -
 localedata/locales/el_GR             |    1 -
 localedata/locales/en_AU             |    1 -
 localedata/locales/en_BW             |    1 -
 localedata/locales/en_CA             |    1 -
 localedata/locales/en_DK             |    1 -
 localedata/locales/en_GB             |    1 -
 localedata/locales/en_IE             |    1 -
 localedata/locales/en_IE@euro        |    1 -
 localedata/locales/en_NG             |    1 -
 localedata/locales/en_NZ             |    1 -
 localedata/locales/{mai_NP => en_SC} |   91 ++++++++-----
 localedata/locales/en_ZA             |    1 -
 localedata/locales/en_ZM             |    1 -
 localedata/locales/en_ZW             |    1 -
 localedata/locales/eo                |    1 -
 localedata/locales/es_AR             |    1 -
 localedata/locales/es_BO             |    1 -
 localedata/locales/es_CL             |    1 -
 localedata/locales/es_CO             |    1 -
 localedata/locales/es_CR             |    1 -
 localedata/locales/es_DO             |    1 -
 localedata/locales/es_EC             |    1 -
 localedata/locales/es_ES             |    1 -
 localedata/locales/es_ES@euro        |    1 -
 localedata/locales/es_GT             |    1 -
 localedata/locales/es_HN             |    1 -
 localedata/locales/es_MX             |    1 -
 localedata/locales/es_NI             |    1 -
 localedata/locales/es_PA             |    1 -
 localedata/locales/es_PE             |    1 -
 localedata/locales/es_PR             |    1 -
 localedata/locales/es_PY             |    1 -
 localedata/locales/es_SV             |    1 -
 localedata/locales/es_US             |    1 -
 localedata/locales/es_UY             |    1 -
 localedata/locales/es_VE             |    1 -
 localedata/locales/et_EE             |    1 -
 localedata/locales/eu_ES             |    1 -
 localedata/locales/eu_ES@euro        |    1 -
 localedata/locales/fa_IR             |    1 -
 localedata/locales/ff_SN             |    1 -
 localedata/locales/fi_FI             |    1 -
 localedata/locales/fi_FI@euro        |    1 -
 localedata/locales/fil_PH            |    1 -
 localedata/locales/fo_FO             |    1 -
 localedata/locales/fr_BE             |    1 -
 localedata/locales/fr_BE@euro        |    1 -
 localedata/locales/fr_CA             |    1 -
 localedata/locales/fr_CH             |    1 -
 localedata/locales/fr_FR             |    1 -
 localedata/locales/fr_FR@euro        |    1 -
 localedata/locales/fr_LU             |    1 -
 localedata/locales/fr_LU@euro        |    1 -
 localedata/locales/fur_IT            |    1 -
 localedata/locales/fy_DE             |    2 -
 localedata/locales/fy_NL             |    1 -
 localedata/locales/ga_IE             |    1 -
 localedata/locales/ga_IE@euro        |    1 -
 localedata/locales/gd_GB             |    2 -
 localedata/locales/gez_ER            |    2 -
 localedata/locales/gez_ER@abegede    |    2 -
 localedata/locales/gez_ET            |    2 -
 localedata/locales/gez_ET@abegede    |    2 -
 localedata/locales/gl_ES             |    1 -
 localedata/locales/gl_ES@euro        |    1 -
 localedata/locales/gv_GB             |    1 -
 localedata/locales/ha_NG             |    1 -
 localedata/locales/hak_TW            |    2 -
 localedata/locales/he_IL             |    1 -
 localedata/locales/hr_HR             |    1 -
 localedata/locales/ht_HT             |    2 -
 localedata/locales/hu_HU             |    1 -
 localedata/locales/hy_AM             |    2 -
 localedata/locales/ia_FR             |    1 -
 localedata/locales/id_ID             |    1 -
 localedata/locales/ig_NG             |    1 -
 localedata/locales/ik_CA             |    1 -
 localedata/locales/is_IS             |    1 -
 localedata/locales/it_CH             |    1 -
 localedata/locales/it_IT             |    1 -
 localedata/locales/it_IT@euro        |    1 -
 localedata/locales/iu_CA             |    2 -
 localedata/locales/ja_JP             |    1 -
 localedata/locales/ka_GE             |    2 -
 localedata/locales/kk_KZ             |    1 -
 localedata/locales/kl_GL             |    1 -
 localedata/locales/km_KH             |    1 -
 localedata/locales/ku_TR             |    1 -
 localedata/locales/kw_GB             |    1 -
 localedata/locales/ky_KG             |    3 -
 localedata/locales/lb_LU             |    1 -
 localedata/locales/lg_UG             |    1 -
 localedata/locales/lo_LA             |    1 -
 localedata/locales/lv_LV             |    1 -
 localedata/locales/lzh_TW            |    2 -
 localedata/locales/mg_MG             |    1 -
 localedata/locales/mhr_RU            |    1 -
 localedata/locales/mi_NZ             |    1 -
 localedata/locales/mk_MK             |    1 -
 localedata/locales/mn_MN             |    1 -
 localedata/locales/mt_MT             |    6 +-
 localedata/locales/nan_TW            |    2 -
 localedata/locales/nan_TW@latin      |    1 -
 localedata/locales/nhn_MX            |    1 -
 localedata/locales/niu_NU            |    2 -
 localedata/locales/niu_NZ            |    2 -
 localedata/locales/nl_BE             |    1 -
 localedata/locales/nl_BE@euro        |    1 -
 localedata/locales/nl_NL             |    1 -
 localedata/locales/nl_NL@euro        |    1 -
 localedata/locales/nr_ZA             |    2 -
 localedata/locales/nso_ZA            |    2 -
 localedata/locales/oc_FR             |    2 -
 localedata/locales/om_ET             |    2 -
 localedata/locales/om_KE             |    2 -
 localedata/locales/os_RU             |    1 -
 localedata/locales/pa_PK             |    1 -
 localedata/locales/pl_PL             |    1 -
 localedata/locales/ps_AF             |    1 -
 localedata/locales/pt_BR             |    1 -
 localedata/locales/pt_PT             |    1 -
 localedata/locales/pt_PT@euro        |    1 -
 localedata/locales/quz_PE            |    2 -
 localedata/locales/ro_RO             |    1 -
 localedata/locales/ru_RU             |    1 -
 localedata/locales/ru_UA             |    1 -
 localedata/locales/sc_IT             |    1 -
 localedata/locales/se_NO             |    1 -
 localedata/locales/sgs_LT            |    1 -
 localedata/locales/si_LK             |    1 -
 localedata/locales/sid_ET            |    2 -
 localedata/locales/sk_SK             |    1 -
 localedata/locales/sl_SI             |    1 -
 localedata/locales/so_DJ             |    2 -
 localedata/locales/so_ET             |    2 -
 localedata/locales/so_KE             |    2 -
 localedata/locales/so_SO             |    2 -
 localedata/locales/sr_ME             |    1 -
 localedata/locales/sr_RS             |    1 -
 localedata/locales/sr_RS@latin       |    1 -
 localedata/locales/ss_ZA             |    2 -
 localedata/locales/st_ZA             |    2 -
 localedata/locales/sv_FI             |    1 -
 localedata/locales/sv_FI@euro        |    1 -
 localedata/locales/sv_SE             |    1 -
 localedata/locales/sw_KE             |    1 -
 localedata/locales/sw_TZ             |    1 -
 localedata/locales/szl_PL            |    1 -
 localedata/locales/ta_LK             |    1 -
 localedata/locales/tg_TJ             |    1 -
 localedata/locales/th_TH             |    1 -
 localedata/locales/ti_ER             |    2 -
 localedata/locales/ti_ET             |    2 -
 localedata/locales/tig_ER            |    2 -
 localedata/locales/tk_TM             |    1 -
 localedata/locales/tl_PH             |    1 -
 localedata/locales/tn_ZA             |    2 -
 localedata/locales/tr_CY             |    1 -
 localedata/locales/tr_TR             |    1 -
 localedata/locales/ts_ZA             |    2 -
 localedata/locales/tt_RU             |    1 -
 localedata/locales/tt_RU@iqtelif     |    1 -
 localedata/locales/ug_CN             |    1 -
 localedata/locales/uk_UA             |    1 -
 localedata/locales/ur_PK             |    1 -
 localedata/locales/uz_UZ@cyrillic    |    1 -
 localedata/locales/ve_ZA             |    2 -
 localedata/locales/vi_VN             |    1 -
 localedata/locales/wa_BE             |    2 -
 localedata/locales/wa_BE@euro        |    1 -
 localedata/locales/wae_CH            |    2 -
 localedata/locales/wal_ET            |    2 -
 localedata/locales/wo_SN             |    1 -
 localedata/locales/xh_ZA             |    2 -
 localedata/locales/yi_US             |    1 -
 localedata/locales/yo_NG             |    1 -
 localedata/locales/zh_TW             |    1 -
 localedata/locales/zu_ZA             |    2 -
 224 files changed, 306 insertions(+), 308 deletions(-)
 copy localedata/locales/{mai_NP => en_SC} (50%)
Comment 3 Mike FABIAN 2017-08-09 09:39:43 UTC
FIXED.